#ifndef COMMON_H_
#define COMMON_H_
#include <stdio.h>
#include <ctype.h>
/* ==========================================================================*/
/* - - - - - - - - - - - C o m m o n . H   - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    common Definition File for the program                                 */
/*  Created   2005-11-03	msw                                              */
/*  Modified  2005-11-14    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */


#define true	-1
#define false	0
#define TRUE	-1
#define FALSE	0

/*---------------------------------------------------------------------------*/
/*--------> T Y P E D E F S   U N I O N S    S T R U C T U R E S <-----------*/
/*---------------------------------------------------------------------------*/
/*         make c types a little more descriptive                            */
typedef unsigned char U8BIT;	// Unsigned 8 bit variables
typedef char S8BIT;				// Signed 8 bit variables
typedef unsigned short U16BIT;	// Unsigned 16 bit variables
typedef short S16BIT;			// Signed 16 bit variables
typedef unsigned int U32BIT;	// Unsigned 32 bit variables
typedef int	S32BIT;				// Signed 32 bit variables
typedef unsigned long long int U64BIT;	//unsigned 64 bit variables
typedef long long int S64BIT;	//signed 64 bit variables

typedef int BOOL;		//

typedef union			//highly non portable way to access bytes of int
{
	struct b4
	{
		U8BIT b0;
		U8BIT b1;
		U8BIT b2;
		U8BIT b3;
	}bytes;
	U32BIT all;
}t32BITS;

typedef union			//highly non portable way to access bytes of short int
{
	struct b2
	{
		U8BIT b0;
		U8BIT b1;
	}bytes;
	U16BIT all;
}t16BITS;

typedef union
{
	struct w2
	{
		U16BIT w0;
		U16BIT w1;
	}word;
	U32BIT all;
}t32Words;

/* 
   RAMFUNC 
   Attribute which defines a function to be located 
   in memory section .fastrun and called via "long calls". 
   See linker-skript and startup-code to see how the
   .fastrun-section is handled.
*/
#define RAMFUNC __attribute__ ((long_call, section (".fastrun")))


#endif /*COMMON_H_*/
