/* ==========================================================================*/
/* - - - - - - - - - - - - - -  I r q . h  - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Irq.c module                                   */
/*  Created   2007-03-10	msw                                              */
/*  Modified  2007-03-10    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef IRQ_H_
#define IRQ_H_

/*---------------------------------------------------------------------------*/
/* /////////////////// Interrupt Levels  /////////////////////////////////// */
/*---------------------------------------------------------------------------*/
#define USART_INTERRUPT_LEVEL		0
#define TIMER1_INTERRUPT_LEVEL		1
#define TIMER2_INTERRUPT_LEVEL		2
#define SSC_INTERRUPT_LEVEL		3
#define SPI_INTERRUPT_LEVEL		4

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void Timer1IrqService(void) __attribute__ ((naked));
void Timer2IrqService(void) __attribute__ ((naked));
void SSCIrqService(void) __attribute__ ((naked));
void SPIIrqService(void) __attribute__ ((naked));
void UsartIrqService(void)__attribute__ ((naked));

void SpuriousIrqService(void);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern volatile S32BIT RxMsgLength;
extern volatile U32BIT LedTimer;
extern volatile U32BIT LedTimerTog;

#endif /*IRQ_H_*/


