/* ==========================================================================*/
/* - - - - - - - - - - - - -   U s a r t . h   - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Usart.c module                                 */
/*  Created   2007-07-01	msw                                              */
/*  Modified  2007-07-01    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef USART_H_
#define USART_H_
#include "common.h"
#include "protocoldefs.h"
#include "ambe2000.h"

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"

/*---------------------------------------------------------------------------*/
/*------------------> G L O B A L   D E F I N E S <--------------------------*/
/*---------------------------------------------------------------------------*/
#define MAXMSG_SIZE (CODEC_BUF_SIZE*2 + 100)

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void UsartInit( U32BIT Rate);
void SendUsartMsg(U8BIT* Msg, U32BIT Len);

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    V a r i a b l e s <-------------------*/
/*---------------------------------------------------------------------------*/
extern xSemaphoreHandle xUartSemaphore;
extern U8BIT UsartRxMsgA[MAXMSG_SIZE];
extern U8BIT UsartRxMsgB[MAXMSG_SIZE];
extern volatile U8BIT* pActiveMsg;
extern U32BIT Status;

#endif /*USART_H_*/
